## org.eclipse.emf.edit.provider
Class WrapperItemProvider.ReplacementAffectedObjectCommand

    java.lang.Object
      org.eclipse.emf.common.command.AbstractCommand
          org.eclipse.emf.common.command.CommandWrapper
              org.eclipse.emf.edit.provider.WrapperItemProvider.ReplacementAffectedObjectCommand

All Implemented Interfaces:
  Command

Enclosing class:
  WrapperItemProvider

    protected class WrapperItemProvider.ReplacementAffectedObjectCommand

extends CommandWrapper

A `ReplacementAffectedObjectCommand` wraps another command to return as its affected objects the single wrapper that replaces this wrapper. That is, it obtains the children of the wrapper's owner, and returns a collection containing the first wrapper whose feature and index match this one's.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.command.AbstractCommand
`AbstractCommand.NonDirtying`

Field Summary

Fields inherited from class org.eclipse.emf.common.command.CommandWrapper
`command`

Fields inherited from class org.eclipse.emf.common.command.AbstractCommand
`description, isExecutable, isPrepared, label`

Constructor Summary
`WrapperItemProvider.ReplacementAffectedObjectCommand(Command command)`

Method Summary
`java.util.Collection<?>` `getAffectedObjects()` Obtains the children of the wrapper's owner, and returns a collection containing the first wrapper whose feature and index match this one's.

Methods inherited from class org.eclipse.emf.common.command.CommandWrapper
`canUndo, createCommand, dispose, execute, getCommand, getDescription, getLabel, getResult, prepare, redo, toString, undo`

Methods inherited from class org.eclipse.emf.common.command.AbstractCommand
`canExecute, chain, setDescription, setLabel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WrapperItemProvider.ReplacementAffectedObjectCommand

    public WrapperItemProvider.ReplacementAffectedObjectCommand(Command command)

Method Detail

### getAffectedObjects

    public java.util.Collection<?> getAffectedObjects()

  Obtains the children of the wrapper's owner, and returns a collection containing the first wrapper whose feature and index match this one's.

  Specified by:
    `getAffectedObjects` in interface `Command`
  Overrides:
    `getAffectedObjects` in class `CommandWrapper`
  Returns:
    the result.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.